/* flasher sequence */
module check_flash_multi_bottom
	(
	clk,
	led_in1,led_in2,
	led_out
	);
	
	input	clk;
	input	[7:0]	led_in1;
	input	[7:0]	led_in2;
	output	[7:0]	led_out;
	reg		[7:0]	led_intot;
	reg		[7:0]	led_in;
	reg		[7:0]	led_out;
	parameter	s0=8'b00000000, s1=8'b00000001, s2=8'b00000010, s3=8'b00000100,
				s4=8'b00001000, s5=8'b00010000, s6=8'b00100000, s7=8'b01000000,
				s8=8'b10000000, s9=8'b11111111;
	
/* sequence */

always @ (posedge clk)	
	begin
	led_intot = led_in1 & led_in2;
	end
	
always @ (posedge clk)
	begin

		case	(led_intot)
			s0:	led_out = 8'b00000001;
				
			s1:	led_out = 8'b00000010;
			
			s2:	led_out = 8'b00000100;
			
			s3:	led_out = 8'b00001000;
			
			s4:	led_out = 8'b00010000;
			
			s5:	led_out = 8'b00100000;
			
			s6:	led_out = 8'b01000000;
			
			s7:	led_out = 8'b10000000;
			
			s8:	led_out = 8'b11111111;
			
			s9: led_out = 8'b11111111;
			
			default:	led_out = 8'b00000000;
		endcase
	end
endmodule